Promotion

Retrieve promotion

get

Retrieve a specific promotion by ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
chevron-right
200

Promotion successfully retrieved

application/json
created_datestring · date-timeOptional

Date and time the promotion was created

modified_datestring · date-timeOptional

Date and time the promotion was last modified

pkintegerOptional

Primary key of the promotion

namestringOptional

Name of the promotion

slugstringOptional

Slug of the promotion

integrationintegerOptional

Foreign key to IntegrationAction model

get
/api/v1/promotions/{id}/

List promotions

get

List all promotions

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
pkintegerOptional

Filters by primary key

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

namestringOptional

Filter by name.

slugstringOptional

Filter by slug.

created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
modified_datestring · date-timeOptional

Filter by modification date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: modified_date__lt=2024-01-01T00:00:00Z
Responses
chevron-right
200

Promotions successfully listed

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get
/api/v1/promotions/

Last updated

Was this helpful?